var Value = GetInputConstructorValue("Value", loader);
if(Value["original"].length <= 0){
    Invalid(tr("Url") + " " + tr("is empty"));
    return;
};
var UseConstructor = $("#Check2").is(':checked');
var Method = GetInputConstructorValue("Method", loader);
if(Method["original"].length <= 0){
	Invalid(tr("Method") + " " + tr("is empty"));
    return;
};
var ContentType = GetInputConstructorValue("ContentType", loader);
if(ContentType["original"].length <= 0){
	Invalid(tr("ContentType") + " " + tr("is empty"));
    return;
};
var PostDataArray = GetInputConstructorValue("PostDataArray", loader);
var Headers = GetInputConstructorValue("Headers", loader);
var PostDataRaw = GetInputConstructorValue("PostDataRaw", loader);
var ContentTypeRaw = GetInputConstructorValue("ContentTypeRaw", loader);
var Redirect = $("#Check").is(':checked');
var bodyBase64 = $("#bodyBase64").is(':checked');
var Timeout = GetInputConstructorValue("Timeout", loader);
var TLSVersion = GetInputConstructorValue("TLSVersion", loader);
if(Timeout["original"].length == 0){
	Invalid(tr("Timeout") + " " + tr("is empty"));
    return;
};
var MaximumFailes = GetInputConstructorValue("MaximumFailes", loader);
if(MaximumFailes["original"].length == 0){
	Invalid(tr("Maximum failures") + " " + tr("is empty"));
    return;
};
try{
    var code = loader.GetAdditionalData() + _.template($("#nativeHttpClient_Post_code").html())({
        Value: Value["updated"],
        ContentType: ContentType["updated"],
        Method: Method["updated"],
        UseConstructor: UseConstructor,
        PostDataRaw: PostDataRaw["updated"].replace(/base64:/g, "_browserautomationstudio_base64:"),
        ContentTypeRaw: ContentTypeRaw["updated"],
        Params: "[" + PostDataArray["updated"] + "]",
        Headers: Headers["updated"],
	Redirect: Redirect,
	Timeout: Timeout["updated"],
	MaximumFailes: MaximumFailes["updated"],
	TLSVersion: TLSVersion["updated"], 
	bodyBase64: bodyBase64
    })
	code = Normalize(code, 0);
	BrowserAutomationStudio_Append("", BrowserAutomationStudio_SaveControls() + code, action, DisableIfAdd);
}catch(e){}